/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.fragments;

import com.thingspace.cloud.sdk.list.ItemList;
import com.thingspace.media.cache.SortPreference;
import com.thingspace.media.tasks.GetAudiosTask;
import com.thingspace.media.tasks.HubbleMediaTask;

/**
 * Music Tracks Grid Fragment
 */
public class MusicTracksGridFragment extends BaseFragment {

    public void executeQuery() {
        GetAudiosTask task = new GetAudiosTask(getActivity(), this, cloudAPI, SortPreference.getSortType(getActivity()));
        task.execute();
    }

    @Override
    public void onResponse(int taskCode, int errorCode, Object response) {
        if (taskCode == HubbleMediaTask.TASK_GET_AUDIOS) {
            if (response instanceof ItemList) {
                itemList = (ItemList) response;
                recyclerView.setAdapter(getRecyclerViewAdapter(itemList));
            }
        }
    }
}
