/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.fragments;

import com.thingspace.cloud.sdk.list.ItemList;
import com.thingspace.media.cache.SortPreference;
import com.thingspace.media.tasks.GetVideosTask;
import com.thingspace.media.tasks.HubbleMediaTask;

/**
 * Photo Grid Fragment
 */
public class VideoGridFragment extends BaseFragment {

    public void executeQuery() {
        GetVideosTask task = new GetVideosTask(getActivity(), this, cloudAPI, SortPreference.getSortType(getActivity()));
        task.execute();
    }

    @Override
    public void onResponse(int taskCode, int errorCode, Object response) {
        if (taskCode == HubbleMediaTask.TASK_GET_VIDEOS) {
            if (response instanceof ItemList) {
                itemList = (ItemList) response;
                recyclerView.setAdapter(getRecyclerViewAdapter(itemList));
            }
        }
    }
}
