/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.listeners;

import android.view.View;

/**
 * Recycler view click listener.
 */
public interface RecyclerViewClickListener {
    /**
     * Called when the list item is clicked
     *
     * @param view     image view that was clicked
     * @param position position in the recycler view
     */
    void onListItemClicked(View view, int position);

    /**
     * Called when the list item is long clicked
     *
     * @param view     image view that was clicked
     * @param position position in the recycler view
     */
    void onListItemLongClicked(View view, int position);
}
